net.snowflake.client.core

## Class SFJsonResultSet

- java.lang.Object
- - net.snowflake.client.core.SFBaseResultSet
  - - net.snowflake.client.core.SFJsonResultSet

Direct Known Subclasses:
  SFFixedViewResultSet, SFResultSet

    public abstract class SFJsonResultSet
    extends SFBaseResultSet

Abstract class used to represent snowflake result set in json format

### Field Summary

### Fields inherited from class net.snowflake.client.core.SFBaseResultSet

`isClosed, metaDataOfBinds, numberOfBinds, parameters, resultSetMetaData, resultSetSerializable, resultVersion, row, session`

### Constructor Summary

Constructors
Constructor and Description
`SFJsonResultSet()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`BigDecimal` `getBigDecimal(int columnIndex)`
`BigDecimal` `getBigDecimal(int columnIndex, int scale)`
`boolean` `getBoolean(int columnIndex)`
`byte` `getByte(int columnIndex)`
`byte[]` `getBytes(int columnIndex)`
`Date` `getDate(int columnIndex)`
`Date` `getDate(int columnIndex, TimeZone tz)`
`double` `getDouble(int columnIndex)`
`float` `getFloat(int columnIndex)`
`int` `getInt(int columnIndex)`
`long` `getLong(int columnIndex)`
`Object` `getObject(int columnIndex)`
`protected abstract Object` `getObjectInternal(int columnIndex)` Given a column index, get current row's value as an object
`short` `getShort(int columnIndex)`
`String` `getString(int columnIndex)`
`Time` `getTime(int columnIndex)`
`Timestamp` `getTimestamp(int columnIndex, TimeZone tz)`

### Methods inherited from class net.snowflake.client.core.SFBaseResultSet

`absolute, close, getMetaData, getMetaDataOfBinds, getNumberOfBinds, getQueryId, getResultSetSerializables, getRow, getStatementType, isAfterLast, isArrayBindSupported, isBeforeFirst, isClosed, isFirst, isLast, next, previous, relative, setSession, setStatementType, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFJsonResultSet

    public SFJsonResultSet()

### Method Detail

#### getObjectInternal

    protected abstract Object getObjectInternal(int columnIndex)
                                         throws SFException

Given a column index, get current row's value as an object

Parameters:
  `columnIndex` -
Returns:
Throws:
  `SFException`

#### getObject

    public Object getObject(int columnIndex)
                     throws SFException

Specified by:
  `getObject` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getString

    public String getString(int columnIndex)
                     throws SFException

Specified by:
  `getString` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws SFException

Specified by:
  `getBoolean` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getByte

    public byte getByte(int columnIndex)
                 throws SFException

Specified by:
  `getByte` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getShort

    public short getShort(int columnIndex)
                   throws SFException

Specified by:
  `getShort` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getInt

    public int getInt(int columnIndex)
               throws SFException

Specified by:
  `getInt` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getLong

    public long getLong(int columnIndex)
                 throws SFException

Specified by:
  `getLong` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SFException

Specified by:
  `getBigDecimal` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex,
                                    int scale)
                             throws SFException

Specified by:
  `getBigDecimal` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getTime

    public Time getTime(int columnIndex)
                 throws SFException

Specified by:
  `getTime` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex,
                                  TimeZone tz)
                           throws SFException

Specified by:
  `getTimestamp` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws SFException

Specified by:
  `getFloat` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws SFException

Specified by:
  `getDouble` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SFException

Specified by:
  `getBytes` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getDate

    public Date getDate(int columnIndex)
                 throws SFException

Specified by:
  `getDate` in class `SFBaseResultSet`
Throws:
  `SFException`

#### getDate

    public Date getDate(int columnIndex,
                        TimeZone tz)
                 throws SFException

Throws:
  `SFException`